<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package VW Fitness
 */

?><!DOCTYPE html>
<html <?php language_attributes();?>>
<head>
<meta charset="<?php bloginfo('charset');?>">
<meta name="viewport" content="width=device-width">
<link rel="profile" href="<?php echo esc_url(__('http://gmpg.org/xfn/11', 'vw-fitness'));?>">

<?php wp_head();?>
</head>

<body <?php body_class();?>>
  <div class="toggle"><a class="toggleMenu" href="#"><?php esc_html_e('Menu', 'vw-fitness');?></a></div>

  <div class="header">
    <div class="container">
      <div class="row">
        <div class="offset-lg-5 offset-md-2 col-lg-7 col-md-10">
          <div class="row contact-info">
            <div class="col-lg-5 col-md-5 p-0">
              <?php if( get_theme_mod( 'vw_fitness_email','' ) != '') { ?>
                <span class="email"><i class="fa fa-envelope" aria-hidden="true"></i><?php echo esc_html( get_theme_mod('vw_fitness_email','') ); ?></span><span>|</span>
              <?php } ?>
            </div>
            <div class="col-lg-3 col-md-3 p-0">
              <?php if( get_theme_mod( 'vw_fitness_contact','' ) != '') { ?>
                <span class="call"><i class="fa fa-phone" aria-hidden="true"></i><?php echo esc_html( get_theme_mod('vw_fitness_contact','')); ?></span><span>|</span>
              <?php } ?>
            </div>
            <div class="col-lg-4 col-md-4 p-0">
              <?php dynamic_sidebar( 'social-icon' ); ?>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="container">
        <div class="row top-header">
          <div class="logo col-lg-3 col-md-4">
            <?php if( has_custom_logo() ){ vw_fitness_the_custom_logo();
             }else{ ?>                        
            <h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
            <?php $description = get_bloginfo( 'description', 'display' );
            if ( $description || is_customize_preview() ) : ?> 
              <p class="site-description"><?php echo esc_html($description); ?></p>       
            <?php endif; }?>
          </div>
          <div class="nav col-lg-8 col-md-7">
            <?php wp_nav_menu(array('theme_location' => 'primary'));?>
          </div>
          <div class="search-box col-lg-1 col-md-1">
              <span><i class="fas fa-search"></i></span>
          </div>
          <div class="clearfix"></div>
        </div>
        <div class="serach_outer">
          <div class="closepop"><i class="far fa-window-close"></i></div>
          <div class="serach_inner">
            <?php get_search_form(); ?>
          </div>
        </div>
    </div>
  </div>

<?php if (is_singular() && has_post_thumbnail()):?>
    <?php
$thumb      = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'vw-fitness-post-image-cover');
$post_image = $thumb['0'];
?>
    <div class="header-image bg-image" style="background-image: url(<?php echo esc_url($post_image);?>)">

<?php the_post_thumbnail('vw-fitness-post-image');?>
</div>

<?php  elseif (get_header_image()):?>
  <div class="header-image bg-image" style="background-image: url(<?php header_image();?>)">
    <a href="<?php echo esc_url(home_url('/'));?>" rel="home">
      <img src="<?php header_image();?>" width="<?php echo esc_attr(get_custom_header()->width);?>" height="<?php echo esc_attr(get_custom_header()->height);?>" alt="">
    </a>
  </div>
<?php endif;// End header image check. ?>